Skip to main content
PUT
/
core
/
v3
/
job-charges
/
{jobChargeId}
Update a job charge
curl --request PUT \
  --url https://api-{region}.sesametime.com/core/v3/job-charges/{jobChargeId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "editable": true
  },
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Path Parameters

jobChargeId
string<uuid>
required

Job Charge ID

Body

application/json

Job Charge object that needs to be updated

name
string
required

name of the job charge

Response

200 - application/json

Object

data
object
meta
object